
QGIS Application - Bug report #20283

Crash when exiting program [proj_lpz_dist]

2018-10-30 08:38 PM - Jerry Brand

Status: Reopened

Priority: Normal

Assignee:

Category: Actions

Affected QGIS version:3.4.0 Regression?: No

Operating System: Windows 10 Professional Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28104

Description

User Feedback

Just closing the program

Report Details

Crash ID: a3eb9e008e3031d98e71767c90264528b8c82c02

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::~QgsCoordinateTransform :

QgsFirstRunDialog::trUtf8 :

QObjectPrivate::deleteChildren :

QWidget::~QWidget :

CPLStringList::operator char const * __ptr64 const * __ptr64 :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: commit:4a4b62ed19

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Related to QGIS Application - Bug report # 21912: QGIS Crashed Open 2019-04-23

Duplicates QGIS Application - Bug report # 20326: Crash when Quit QGIS Closed 2018-11-02

Duplicated by QGIS Application - Bug report # 20275: QGIS Crash When Closing ... Closed 2018-10-30

Duplicated by QGIS Application - Bug report # 20314: QGIS 3.4 crashed when ex... Closed 2018-11-01

Duplicated by QGIS Application - Bug report # 20482: QGIS crash Closed 2018-11-13

Duplicated by QGIS Application - Bug report # 20511: QGIS 3.4.1 crashes when ... Closed 2018-11-15

Duplicated by QGIS Application - Bug report # 20506: Crash on exit qgis 3.4.1 Closed 2018-11-15
Duplicated by QGIS Application - Bug report # 20501: Crash on closing the app... Closed 2018-11-15

Duplicated by QGIS Application - Bug report # 20520: Crash Closed 2018-11-16

Duplicated by QGIS Application - Bug report # 20526: QGIS crash Closed 2018-11-17

Duplicated by QGIS Application - Bug report # 20589: Crash before closing Closed 2018-11-22

Duplicated by QGIS Application - Bug report # 20613: QGIS crash when closing ... Closed 2018-11-23

Duplicated by QGIS Application - Bug report # 20618: QGis 3.4 reproducible cr... Closed 2018-11-24

Duplicated by QGIS Application - Bug report # 20644: Crash on exit qgis 3.4.2 Closed 2018-11-27

Duplicated by QGIS Application - Bug report # 20652: QGIS 3.4.1 crashing Closed 2018-11-28

Duplicated by QGIS Application - Bug report # 20675: QGIS crashes after succe... Closed 2018-11-29

Duplicated by QGIS Application - Bug report # 20677: Very often crashes. Quit... Closed 2018-11-29

Duplicated by QGIS Application - Bug report # 20679: QGIS Crashed when closin... Closed 2018-11-29

Duplicated by QGIS Application - Bug report # 20729: QGIS 3.4.2 crashes on exit Closed 2018-12-05

Duplicated by QGIS Application - Bug report # 20697: QGIS 3.4.2 crashes on exit Closed 2018-12-03

Duplicated by QGIS Application - Bug report # 20782: crash when quit Qgis Closed 2018-12-11

Duplicated by QGIS Application - Bug report # 20806: QGIS 3.4.2 crush on exit Closed 2018-12-13

Duplicated by QGIS Application - Bug report # 20823: QGIS crashing on exit Closed 2018-12-17

Duplicated by QGIS Application - Bug report # 20881: QGIS crash when quitting Closed 2018-12-25

Duplicated by QGIS Application - Bug report # 20858: Regular crashes each day Closed 2018-12-20

Duplicated by QGIS Application - Bug report # 20900: Crashed while trying to ... Closed 2019-01-01

Duplicated by QGIS Application - Bug report # 20901: Crashed when exiting a p... Closed 2019-01-01

Duplicated by QGIS Application - Bug report # 20926: Crashed while closing wi... Closed 2019-01-06

Duplicated by QGIS Application - Bug report # 20923: QGIS crash Closed 2019-01-04

Duplicated by QGIS Application - Bug report # 20959: QGIS crash when saving a... Closed 2019-01-10

Duplicated by QGIS Application - Bug report # 20967: Crash Closed 2019-01-10

Duplicated by QGIS Application - Bug report # 20970: QGIS Crashed Windows whe... Closed 2019-01-11

Duplicated by QGIS Application - Bug report # 20982: QGIS crash when I close it Closed 2019-01-12

Duplicated by QGIS Application - Bug report # 20816: Crash by closing Qgis 3.4.2 Closed 2018-12-14

Duplicated by QGIS Application - Bug report # 20851: 3.4.2 Crashed on Exit Closed 2018-12-20

Duplicated by QGIS Application - Bug report # 21000: QGIS crash error on exit Closed 2019-01-15

Duplicated by QGIS Application - Bug report # 21030: Crash on exit - multiple... Closed 2019-01-18

Duplicated by QGIS Application - Bug report # 21054: Crash on closing project Closed 2019-01-21

Duplicated by QGIS Application - Bug report # 20939:  saving the project Closed 2019-01-08

Duplicated by QGIS Application - Bug report # 21110: Frequent crash when savi... Closed 2019-01-26

Duplicated by QGIS Application - Bug report # 21133: multiple crashes Closed 2019-01-30

Duplicated by QGIS Application - Bug report # 21131: Crash Closed 2019-01-30

Duplicated by QGIS Application - Bug report # 21149: 3.4.3-Madeira Crashing o... Closed 2019-02-01

Duplicated by QGIS Application - Bug report # 21156: Trying to add map themes... Closed 2019-02-03

Duplicated by QGIS Application - Bug report # 21155: Crashes on Exit Closed 2019-02-03

Duplicated by QGIS Application - Bug report # 21186: QGis crashed on close Closed 2019-02-06

Duplicated by QGIS Application - Bug report # 21187: QGIS Crashed Closed 2019-02-06

Duplicated by QGIS Application - Bug report # 21219: Programme crashing Closed 2019-02-09

Duplicated by QGIS Application - Bug report # 21208: Crash ID: 62f1fcd2045780... Closed 2019-02-08

Duplicated by QGIS Application - Bug report # 21223: QGis 3.4 crashed when I ... Closed 2019-02-11

Duplicated by QGIS Application - Bug report # 21248: Program keeps crashing o... Closed 2019-02-12

Duplicated by QGIS Application - Bug report # 21255: Crash ID: 62f1fcd2045780... Closed 2019-02-13

Duplicated by QGIS Application - Bug report # 21258: Crash on closing Closed 2019-02-13

Duplicated by QGIS Application - Bug report # 21345: QGIS crashes Closed 2019-02-22

Duplicated by QGIS Application - Bug report # 21334: QGIS crashes everytime I... Closed 2019-02-21

Duplicated by QGIS Application - Bug report # 21276: crash when quitting Closed 2019-02-14

Duplicated by QGIS Application - Bug report # 21152: QGIS Crash on exit Closed 2019-02-02

Duplicated by QGIS Application - Bug report # 21384: QGIS 3.6 crashes upon ex... Closed 2019-02-26

Duplicated by QGIS Application - Bug report # 21431: Crashed when shutting down Closed 2019-02-28

Duplicated by QGIS Application - Bug report # 21483: QGIS Crashed Closed 2019-03-05
Duplicated by QGIS Application - Bug report # 21512: QGIS Crashed- Crash ID: ... Closed 2019-03-07

Duplicated by QGIS Application - Bug report # 21612: System crashes when exit... Closed 2019-03-18

Duplicated by QGIS Application - Bug report # 21550: Crashing every time I cl... Closed 2019-03-11

Duplicated by QGIS Application - Bug report # 21667: Crash in 3.4.6 Closed 2019-03-25

Duplicated by QGIS Application - Bug report # 21671: Crash when closing qGis-... Closed 2019-03-25

Duplicated by QGIS Application - Bug report # 21682: Crash Closed 2019-03-27

Duplicated by QGIS Application - Bug report # 21689: QGIS Crash on Exit Closed 2019-03-28

Duplicated by QGIS Application - Bug report # 21750: crash on exit Closed 2019-04-03

Duplicated by QGIS Application - Bug report # 21790: QGIS 3.4.4 crashes on Sa... Closed 2019-04-08

Duplicated by QGIS Application - Bug report # 21827: QGIS Crashed on exit Closed 2019-04-10

Duplicated by QGIS Application - Bug report # 21842: Crashed while trying to ... Closed 2019-04-12

Duplicated by QGIS Application - Bug report # 21881: QGIS crashes on closing Closed 2019-04-18

Duplicated by QGIS Application - Bug report # 21903: qgis-ltr-bin.exe not res... Closed 2019-04-22

Duplicated by QGIS Application - Bug report # 21915: keeps crashing at the en... Closed 2019-04-24

Duplicated by QGIS Application - Bug report # 21916: Crash on exit from qgis ... Closed 2019-04-24

Duplicated by QGIS Application - Bug report # 21937: Crash during shutdown Closed 2019-04-26

Duplicated by QGIS Application - Bug report # 21943: QGIS Crash Closed 2019-04-26

Duplicated by QGIS Application - Bug report # 21946: Crash after activating d... Closed 2019-04-26

Duplicated by QGIS Application - Bug report # 21929: QGIS crash on closing Closed 2019-04-25

Duplicated by QGIS Application - Bug report # 21998: Error to close the project Closed 2019-05-05

Duplicated by QGIS Application - Bug report # 22042: Unexpected Crash on Exit Closed 2019-05-09

Duplicated by QGIS Application - Bug report # 22080: crash when closing QGIS Closed 2019-05-15

Duplicated by QGIS Application - Bug report # 22092: Crash on close application Closed 2019-05-16

Duplicated by QGIS Application - Bug report # 22102: QGIS 3.4.7 crash while c... Closed 2019-05-19

Associated revisions

Revision f76aa2a1 - 2019-04-05 08:02 AM - Nyall Dawson

Cleanup geometry validation dock before QgsApplication exit

Refs #20283, possibly fixes it

Revision 8e834072 - 2019-04-09 10:03 AM - Nyall Dawson

Cleanup geometry validation dock before QgsApplication exit

Refs #20283, possibly fixes it

History

#1 - 2018-10-30 11:31 PM - Nyall Dawson

- Status changed from Open to Feedback

This particular crash is usually caused by leftover files from a previous older version install. Can you try totally cleaning your install folder and reinstalling?

#2 - 2018-10-31 04:37 AM - Jerry Brand

Everything is fine now. I did not experienced the issue again.
#3 - 2018-10-31 06:39 AM - Nyall Dawson

- Status changed from Feedback to Closed

#4 - 2018-11-12 08:31 PM - Jürgen Fischer

- Duplicates Bug report #20326: Crash when Quit QGIS added

#5 - 2018-11-12 08:31 PM - Jürgen Fischer

- Duplicated by Bug report #20275: QGIS Crash When Closing Application added

#6 - 2018-11-12 08:32 PM - Jürgen Fischer

- Duplicated by Bug report #20314: QGIS 3.4 crashed when exiting immediately after saving added

#7 - 2018-11-14 08:48 AM - Jürgen Fischer

- Duplicated by Bug report #20482: QGIS crash added

#8 - 2018-11-16 08:37 AM - Jürgen Fischer

- Duplicated by Bug report #20511: QGIS 3.4.1 crashes when closing added

#9 - 2018-11-16 08:38 AM - Jürgen Fischer

- Duplicated by Bug report #20506: Crash on exit qgis 3.4.1 added

#10 - 2018-11-16 08:38 AM - Jürgen Fischer

- Duplicated by Bug report #20501: Crash on closing the application. added

#11 - 2018-11-17 11:01 AM - Jürgen Fischer

- Duplicated by Bug report #20520: Crash added

#12 - 2018-11-17 01:47 PM - Jürgen Fischer

- Duplicated by Bug report #20526: QGIS crash added

#13 - 2018-11-17 01:47 PM - Jürgen Fischer

- Subject changed from Crash when exiting program to Crash when exiting program [proj_lpz_dist]

#14 - 2018-11-22 10:28 AM - Alessandro Pasotti

- Duplicated by Bug report #20589: Crash before closing added

#15 - 2018-11-24 04:32 PM - Jürgen Fischer

- Duplicated by Bug report #20613: QGIS crash when closing the software added

#16 - 2018-11-24 06:23 PM - Jürgen Fischer

- Duplicated by Bug report #20618: QGis 3.4 reproducible crash while in idle state added

#17 - 2018-11-27 06:05 PM - Jürgen Fischer

- Duplicated by Bug report #20644: Crash on exit qgis 3.4.2 added

#18 - 2018-11-28 08:59 PM - Jürgen Fischer

- Duplicated by Bug report #20652: QGIS 3.4.1 crashing added

#19 - 2018-11-29 04:06 PM - Jürgen Fischer

- Duplicated by Bug report #20675: QGIS crashes after successful saving the project and trying to quit added

#20 - 2018-11-29 04:07 PM - Jürgen Fischer

- Duplicated by Bug report #20677: Very often crashes. Quite 2 each day added
#21 - 2018-11-30 08:39 AM - Jürgen Fischer

- Duplicated by Bug report #20679: QGIS Crashed when closing project without saving added

#22 - 2018-11-30 08:40 AM - Jürgen Fischer

- Status changed from Closed to Reopened

#23 - 2018-12-05 08:31 PM - Jürgen Fischer

- Duplicated by Bug report #20729: QGIS 3.4.2 crashes on exit added

#24 - 2018-12-05 08:32 PM - Jürgen Fischer

- Duplicated by Bug report #20697: QGIS 3.4.2 crashes on exit added

#25 - 2018-12-12 08:45 AM - Jürgen Fischer

- Duplicated by Bug report #20782: crash when quit Qgis added

#26 - 2018-12-14 08:39 AM - Jürgen Fischer

- Duplicated by Bug report #20806: QGIS 3.4.2 crush on exit added

#27 - 2018-12-18 01:19 PM - Jürgen Fischer

- Duplicated by Bug report #20823: QGIS crashing on exit added

#28 - 2018-12-25 09:36 PM - Jürgen Fischer

- Duplicated by Bug report #20881: QGIS crash when quitting added

#29 - 2018-12-25 09:37 PM - Jürgen Fischer

- Duplicated by Bug report #20858: Regular crashes each day added

#30 - 2019-01-01 06:05 PM - Jürgen Fischer

- Duplicated by Bug report #20900: Crashed while trying to save the project added

#31 - 2019-01-01 06:07 PM - Jürgen Fischer

- Duplicated by Bug report #20901: Crashed when exiting a project added

#32 - 2019-01-06 03:18 PM - Jürgen Fischer

- Duplicated by Bug report #20926: Crashed while closing without saving added

#33 - 2019-01-07 01:50 PM - Jürgen Fischer

- Duplicated by Bug report #20923: QGIS crash added

#34 - 2019-01-08 12:04 PM - Jürgen Fischer

- Related to Bug report #20939:  saving the project added

#35 - 2019-01-10 03:32 AM - Jürgen Fischer

- Duplicated by Bug report #20959: QGIS crash when saving and closing a project. added

#36 - 2019-01-10 01:43 PM - Jürgen Fischer

- Duplicated by Bug report #20967: Crash added

#37 - 2019-01-11 04:12 PM - Jürgen Fischer

- Duplicated by Bug report #20970: QGIS Crashed Windows when close qis added

#38 - 2019-01-12 05:32 PM - Jürgen Fischer

- Related to Bug report #20982: QGIS crash when I close it added
#39 - 2019-01-12 05:32 PM - Jürgen Fischer

- Related to deleted (Bug report #20982: QGIS crash when I close it)

#40 - 2019-01-12 05:32 PM - Jürgen Fischer

- Duplicated by Bug report #20982: QGIS crash when I close it added

#41 - 2019-01-14 09:52 AM - Giovanni Manghi

- Duplicated by Bug report #20989: QGIS crashes every time I click close added

#42 - 2019-01-14 01:50 PM - Jürgen Fischer

- Duplicated by Bug report #20816: Crash by closing Qgis 3.4.2 added

#43 - 2019-01-14 04:38 PM - Jürgen Fischer

- Duplicated by deleted (Bug report #20989: QGIS crashes every time I click close)

#44 - 2019-01-15 12:01 PM - Jürgen Fischer

- Duplicated by Bug report #20851: 3.4.2 Crashed on Exit added

#45 - 2019-01-15 12:04 PM - Jürgen Fischer

- Duplicated by Bug report #21000: QGIS crash error on exit added

#46 - 2019-01-18 03:19 PM - Jürgen Fischer

- Related to Bug report #21021: QGIS crashes on exiting added

#47 - 2019-01-20 03:13 AM - Jürgen Fischer

- Duplicated by Bug report #21030: Crash on exit - multiple times added

#48 - 2019-01-21 12:00 PM - Jürgen Fischer

- Duplicated by Bug report #21054: Crash on closing project added

#49 - 2019-01-23 03:39 PM - Jürgen Fischer

- Related to deleted (Bug report #20939:  saving the project)

#50 - 2019-01-23 03:39 PM - Jürgen Fischer

- Duplicated by Bug report #20939:  saving the project added

#51 - 2019-01-23 04:00 PM - Jürgen Fischer

- Related to deleted (Bug report #21021: QGIS crashes on exiting)

#52 - 2019-01-23 04:01 PM - Jürgen Fischer

Nyall Dawson wrote:

This particular crash is usually caused by leftover files from a previous older version install. Can you try totally cleaning your install folder and

reinstalling?

Can you elaborate?  Which files?

#53 - 2019-01-24 11:51 AM - Phil Wyatt

Any further instructions with this issue - I have done a full delete of QGIS and reload and the problem still exists
#54 - 2019-01-24 12:03 PM - Phil Wyatt

After this crash I also get a "do you want to save the project" as soon as I reopen QGIS post crash - hope this helps with providing some solution

#55 - 2019-01-24 12:11 PM - Phil Wyatt

- File zippee.qgs added

saving of "project" when reopening produced the attached file

#56 - 2019-01-26 09:41 PM - Jürgen Fischer

- Duplicated by Bug report #21110: Frequent crash when saving project added

#57 - 2019-01-30 03:32 PM - Jürgen Fischer

- Duplicated by Bug report #21133: multiple crashes added

#58 - 2019-01-30 03:40 PM - Jürgen Fischer

- Duplicated by Bug report #21131: Crash added

#59 - 2019-02-01 11:59 PM - Jürgen Fischer

- Duplicated by Bug report #21149: 3.4.3-Madeira Crashing on closing  added

#60 - 2019-02-03 04:19 PM - Jürgen Fischer

- Duplicated by Bug report #21156: Trying to add map themes crashes QGIS added

#61 - 2019-02-03 04:20 PM - Jürgen Fischer

- Duplicated by Bug report #21155: Crashes on Exit added

#62 - 2019-02-06 07:38 PM - Jürgen Fischer

- Duplicated by Bug report #21186: QGis crashed on close added

#63 - 2019-02-06 07:39 PM - Jürgen Fischer

- Duplicated by Bug report #21187: QGIS Crashed added

#64 - 2019-02-11 01:38 AM - Jürgen Fischer

- Duplicated by Bug report #21219: Programme crashing  added

#65 - 2019-02-11 01:40 AM - Jürgen Fischer

- Duplicated by Bug report #21208: Crash ID: 62f1fcd2045780cb9f127836e6b579b8665f3e63 added

#66 - 2019-02-12 10:02 AM - Jürgen Fischer

- Duplicated by Bug report #21223: QGis 3.4 crashed when I want to quit added

#67 - 2019-02-13 12:19 PM - Giovanni Manghi

- Duplicated by Bug report #21248: Program keeps crashing on closing added

#68 - 2019-02-13 03:47 PM - Jürgen Fischer

- Duplicated by Bug report #21255: Crash ID: 62f1fcd2045780cb9f127836e6b579b8665f3e63 added

#69 - 2019-02-13 03:49 PM - Jürgen Fischer
- Duplicated by Bug report #21258: Crash on closing added

#70 - 2019-02-22 08:32 AM - Jürgen Fischer

- Duplicated by Bug report #21345: QGIS crashes added

#71 - 2019-02-22 10:40 AM - Jürgen Fischer

- Duplicated by Bug report #21334: QGIS crashes everytime I try to exit the program. added

#72 - 2019-02-24 02:13 AM - Jürgen Fischer

- Duplicated by Bug report #21276: crash when quitting added

#73 - 2019-02-24 02:18 AM - Jürgen Fischer

- Duplicated by Bug report #21152: QGIS Crash on exit added

#74 - 2019-02-26 08:30 AM - Jürgen Fischer

- Duplicated by Bug report #21384: QGIS 3.6 crashes upon exiting added

#75 - 2019-03-01 07:58 AM - Jürgen Fischer

- Duplicated by Bug report #21431: Crashed when shutting down added

#76 - 2019-03-05 07:54 PM - Jürgen Fischer

- Related to Bug report #21483: QGIS Crashed added

#77 - 2019-03-05 07:54 PM - Jürgen Fischer

- Related to deleted (Bug report #21483: QGIS Crashed)

#78 - 2019-03-05 07:55 PM - Jürgen Fischer

- Duplicated by Bug report #21483: QGIS Crashed added

#79 - 2019-03-06 09:02 PM - Jorge Muñoz

It still persists in QGIS 3.6.0

Crash ID: f7df28f7223b7c16fa65832f9b1d942ae285d5c9

Stack Trace

RtlFreeHeap :

clGetExtensionFunctionAddress :

clGetExtensionFunctionAddress :

clGetExtensionFunctionAddress :

clGetExtensionFunctionAddress :

clGetExtensionFunctionAddress :

clGetExtensionFunctionAddress :

clGetExtensionFunctionAddress :

execute_onexit_table :

execute_onexit_table :

execute_onexit_table :

QgsQtLocationConnection::qt_metacast :

QgsQtLocationConnection::qt_metacast :

RtlDeactivateActivationContextUnsafeFast :

LdrShutdownProcess :

RtlExitUserProcess :

2025-04-26 8/13



ExitProcess :

exit :

exit :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.0-Noosa

QGIS code revision: 58734527ab

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

#80 - 2019-03-07 05:51 PM - Jürgen Fischer

- Duplicated by Bug report #21512: QGIS Crashed- Crash ID: 62f1fcd2045780cb9f127836e6b579b8665f3e63 added

#81 - 2019-03-14 01:01 PM - Giovanni Manghi

- Related to Bug report #21550: Crashing every time I close program added

#82 - 2019-03-14 01:13 PM - Diogo Vasconcelos

QGIS crashes most of the times after (during) exit, but not always.

It does not corrupt project file when exiting and saving changes.

I can't isolate the cause.

QGIS version

3.6.0-Noosa

QGIS code revision

58734527ab

Compiled against Qt

5.11.2

Running against Qt

5.11.2

Compiled against GDAL/OGR

2.4.0

Running against GDAL/OGR

2.4.0

Compiled against GEOS

3.7.0-CAPI-1.11.0

Running against GEOS

3.7.0-CAPI-1.11.0 673b9939

PostgreSQL Client Version

9.2.4

SpatiaLite Version

4.3.0

QWT Version
6.1.3

QScintilla2 Version

2.10.8

Compiled against PROJ

520

Running against PROJ

5.2.0

#83 - 2019-03-14 01:14 PM - Giovanni Manghi

Diogo Vasconcelos wrote:

QGIS crashes most of the times after (during) exit, but not always.

have you tried a new/clean profile?

#84 - 2019-03-14 08:22 PM - Diogo Vasconcelos

I've deleted my profile and started over. It crashed again.

Meanwhile I can make it crash now with the following steps:

Open QGIS

Open DB Manager

Execute Query on a Postgis Database.

Load the result

Save

Quit

QGIS crashes on exit.

Loading the query result seems to be the cause.

#85 - 2019-03-15 06:01 PM - Giovanni Manghi

Diogo Vasconcelos wrote:

I've deleted my profile and started over. It crashed again.

Meanwhile I can make it crash now with the following steps:

Open QGIS

Open DB Manager

Execute Query on a Postgis Database.

Load the result

Save

Quit

QGIS crashes on exit.

Loading the query result seems to be the cause.

2025-04-26 10/13



I can't confirm this on qgis master.

Testing the same steps on 3.4.5 and 3.6 is at the moment not possible (so I don't understand how you was able to) because the functionality to load query

layers from DB manager is broken (does not work on 3.6, crashes 3.4.5 when running the query).

#86 - 2019-03-15 07:09 PM - Diogo Vasconcelos

Sorry, I forgot to mention I did something to solve the issue referenced in #21353

I replaced the file in:

https://github.com/qgis/QGIS/blob/678f98c3557b0728729ac40144f6f4546f035b11/python/plugins/db_manager/dlg_sql_window.py

So, that's why I'm able to load query results.

But I can assure you QGIS was crashing on exit before this.

I can make it crash on exit with some queries. I made some simple test queries like "select * from public.teste" returning one point or one polygon and QGIS

does not crash.

But I have more complex queries returning larger results that make QGIS crash on exit every time. I just can't figure out the true cause.

#87 - 2019-03-16 07:14 AM - Giovanni Manghi

I can make it crash on exit with some queries.

then please attach the data and an example of a query we can use to replicate the issue.

#88 - 2019-03-18 03:31 PM - Diogo Vasconcelos

I'm back in office after the weekend.

I no longer can make it crash with the same steps. It looks random now!

Sorry if I led you in the wrong direction but I was pretty sure it was reproducible.

I'll report again if I find anything.

#89 - 2019-03-18 08:48 PM - Jürgen Fischer

- Duplicated by Bug report #21612: System crashes when exiting application added

#90 - 2019-03-19 03:30 PM - Jürgen Fischer

- Related to deleted (Bug report #21550: Crashing every time I close program)

#91 - 2019-03-19 03:30 PM - Jürgen Fischer

- Duplicated by Bug report #21550: Crashing every time I close program added

#92 - 2019-03-25 08:36 AM - Jürgen Fischer

- Duplicated by Bug report #21667: Crash in 3.4.6 added

#93 - 2019-03-25 06:19 PM - Jürgen Fischer

- Duplicated by Bug report #21671: Crash when closing qGis-Desktop-Application added

#94 - 2019-03-27 07:55 PM - Giovanni Manghi

- Duplicated by Bug report #21682: Crash added

#95 - 2019-03-28 05:27 PM - Jürgen Fischer
- Duplicated by Bug report #21689: QGIS Crash on Exit added

#96 - 2019-04-03 05:18 PM - Jürgen Fischer

- Duplicated by Bug report #21750: crash on exit added

#97 - 2019-04-08 01:20 PM - Jürgen Fischer

- Duplicated by Bug report #21790: QGIS 3.4.4 crashes on Save when more than one copy running added

#98 - 2019-04-10 05:27 PM - Jürgen Fischer

- Duplicated by Bug report #21827: QGIS Crashed on exit added

#99 - 2019-04-11 05:17 PM - Jürgen Fischer

- Duplicated by Bug report #21831: QGIS crashes on exit added

#100 - 2019-04-11 05:17 PM - Jürgen Fischer

- Duplicated by deleted (Bug report #21831: QGIS crashes on exit)

#101 - 2019-04-13 12:03 AM - Jürgen Fischer

- Duplicated by Bug report #21842: Crashed while trying to close added

#102 - 2019-04-18 09:39 AM - Jürgen Fischer

- Duplicated by Bug report #21881: QGIS crashes on closing  added

#103 - 2019-04-23 08:55 AM - Jürgen Fischer

- Duplicated by Bug report #21903: qgis-ltr-bin.exe not respond added

#104 - 2019-04-23 02:43 PM - Jürgen Fischer

- Related to Bug report #21912: QGIS Crashed added

#105 - 2019-04-24 10:46 AM - Jürgen Fischer

- Duplicated by Bug report #21915: keeps crashing at the end of each session added

#106 - 2019-04-24 01:24 PM - Giovanni Manghi

- Duplicated by Bug report #21916: Crash on exit from qgis 3.0.2-3.6.2 added

#107 - 2019-04-26 03:41 PM - Jürgen Fischer

- Duplicated by Bug report #21937: Crash during shutdown added

#108 - 2019-04-26 08:15 PM - Jürgen Fischer

- Duplicated by Bug report #21943: QGIS Crash added

#109 - 2019-04-26 10:35 PM - Jürgen Fischer

- Duplicated by Bug report #21946: Crash after activating dark theme added

#110 - 2019-04-30 06:42 PM - Giovanni Manghi

- Duplicated by Bug report #21929: QGIS crash on closing added

#111 - 2019-05-05 10:43 PM - Jürgen Fischer

- Duplicated by Bug report #21998: Error to close the project added

#112 - 2019-05-10 11:22 AM - Jürgen Fischer

- Duplicated by Bug report #22042: Unexpected Crash on Exit added
#113 - 2019-05-15 07:12 AM - Jürgen Fischer

- Duplicated by Bug report #22080: crash when closing QGIS added

#114 - 2019-05-16 12:17 PM - Jürgen Fischer

- Duplicated by Bug report #22092: Crash on close application added

#115 - 2019-05-19 12:56 PM - Jürgen Fischer

- Duplicated by Bug report #22102: QGIS 3.4.7 crash while closing added
